This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 808001 - [EAP6] default resource names for AS7 Standalone Servers and Host Controllers need improvement
[EAP6] default resource names for AS7 Standalone Servers and Host Controllers...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-03-29 06:18 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-03-29 06:18:57 EDT
Description of problem: most recent version of rhq 4.4 master started to detect EAP6 running in domain mode as "domain JBoss EAP 6 Domain Controller" before, same EAP6 server instance was detected as "EAP DomainController" I do not understand why it has changes and I think the word "domain" is a little bit redundant and the default name is quite long.


I am also not sure whether type of resource 'JBossAS7 Host Controller' is correct. It should rather be 'JBossAS7 Domain Controller'

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 559098b

How reproducible: always

Steps to Reproduce:
1. standup EAP6 in domain mode with default configuration
2. import it
  
Actual results:


Expected results: to be discussed. I suggest "EAP 6 Domain Controller"


Additional info:
Comment 1 Mike Foley 2012-04-02 11:32:46 EDT
per BZ triage 4/2/2012 HIGH
Comment 2 Ian Springer 2012-04-04 17:23:08 EDT
Done in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=4d090bd

Here's how the default Resource names now look:

domain controller: EAP Domain Controller (127.0.0.1:9990)
host controller: EAP Host Controller (127.0.0.1:9990)
standalone server: EAP (127.0.0.1:9990)

Note, the last portion is the management host and port, and is what will ensure the default Resource names are unique when there are multiple AS7 instances running on the same platform. This is analogous to what we did in the AS4 and AS5 plugins, which was to append the JNP host and port to the default Resource names.
Comment 4 Heiko W. Rupp 2013-09-03 13:02:38 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.